summaryrefslogtreecommitdiffstats
path: root/debian-jessie/entrouvert-archive-keyring.postrm
diff options
context:
space:
mode:
authorChristophe Siraut <csiraut@entrouvert.com>2018-07-10 14:39:39 (GMT)
committerChristophe Siraut <csiraut@entrouvert.com>2018-07-13 09:12:50 (GMT)
commitd2df75a4161549624b6a7143267f35cd85692403 (patch)
treedafc1df44bf8bb9d93b76e5b2d7f4baa15c9e5e1 /debian-jessie/entrouvert-archive-keyring.postrm
downloadentrouvert-archive-d2df75a4161549624b6a7143267f35cd85692403.zip
entrouvert-archive-d2df75a4161549624b6a7143267f35cd85692403.tar.gz
entrouvert-archive-d2df75a4161549624b6a7143267f35cd85692403.tar.bz2
initial release0.1
Diffstat (limited to 'debian-jessie/entrouvert-archive-keyring.postrm')
-rw-r--r--debian-jessie/entrouvert-archive-keyring.postrm41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian-jessie/entrouvert-archive-keyring.postrm b/debian-jessie/entrouvert-archive-keyring.postrm
new file mode 100644
index 0000000..b5f10eb
--- /dev/null
+++ b/debian-jessie/entrouvert-archive-keyring.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for test
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove)
+ keyring=/etc/apt/trusted.gpg.d/entrouvert-archive.gpg
+ test -f $keyring && rm $keyring
+ ;;
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0